Повышение привилегий в Celery 2.x

Дата публикации:
28.11.2011
Дата изменения:
28.11.2011
Всего просмотров:
1022
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:4.6/Temporal:3.4
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Celery 2.x
Уязвимые версии: Celery версий до 2.4.4

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на целевой системе.

Уязвимость существует из-за ошибки при обработке определенных аргументов получаемых процессом демона. Локальный пользователь может путем создания специально сформированных файлов отправлять сообщения и выполнять код с повышенными правами.

URL производителя: http://www.celeryproject.org/

Решение: Установите версию 2.4.4 с сайта производителя.

Ссылки: https://github.com/ask/celery/blob/master/docs/sec/CELERYSA-0001.txt
https://github.com/ask/celery/pull/544

или введите имя

CAPTCHA